== Why is this an issue?

Shared naming conventions allow teams to collaborate efficiently.

This rule raises an issue when a method name does not match a provided regular expression.

For example, with the default provided regular expression `++^([A-Z0-9_]*|[a-z0-9_]*)$++`, the method:

[source,abap]
----
METHOD MyMethod "Noncompliant
...
ENDMETHOD.
----

should be renamed to

[source,abap]
----
METHOD MY_METHOD
...
ENDMETHOD.
----

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

=== Parameters

.format
****
_STRING_

----
^([A-Z0-9_]*|[a-z0-9_]*)$
----

Regular expression used to check the [method|function|subroutine] names against
****


'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
